Files Filesets
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/files-filesetsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/files-filesets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/files-filesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"file_set_id": "<string>",
"lab": "<string>",
"class": "<string>",
"source": "<string>",
"download_link": "<string>",
"preferred_assay_titles": [
"<string>"
],
"assay_term_ids": [
"<string>"
],
"method": "<string>",
"software": [
"<string>"
],
"collections": [
"<string>"
],
"samples": [
"<string>"
],
"sample_ids": [
"<string>"
],
"simple_sample_summaries": [
"<string>"
],
"donors": [
"<string>"
],
"source_url": "<string>",
"cell_annotation": "<string>",
"cell_annotation_term": "<string>",
"genome_browser_link": "<string>",
"crispr_modality": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Utility Endpoints
Files Filesets
Retrieve data about a specific dataset.
Example: file_fileset_id = ENCFF004PFU,
fileset_id = ENCSR359DFW,
lab = jesse-engreitz,
preferred_assay_title = DNase-seq,
method = MPRA,
donor_id = ENCDO000AAK,
sample_term = EFO_0002784,
sample_summary = GM12878,
software = Distal regulation ENCODE-rE2G,
cell_annotation = mesodermal cell,
cell_annotation_term = CL_0000352,
class = prediction,
source = ENCODE.
The limit parameter controls the page size and can not exceed 500.
Pagination is 0-based.
Files Filesets
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/files-filesetsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/files-filesets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/files-filesets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"file_set_id": "<string>",
"lab": "<string>",
"class": "<string>",
"source": "<string>",
"download_link": "<string>",
"preferred_assay_titles": [
"<string>"
],
"assay_term_ids": [
"<string>"
],
"method": "<string>",
"software": [
"<string>"
],
"collections": [
"<string>"
],
"samples": [
"<string>"
],
"sample_ids": [
"<string>"
],
"simple_sample_summaries": [
"<string>"
],
"donors": [
"<string>"
],
"source_url": "<string>",
"cell_annotation": "<string>",
"cell_annotation_term": "<string>",
"genome_browser_link": "<string>",
"crispr_modality": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
alan-boyle, bill-majoros, charles-gersbach, community, danwei-huangfu, doug-fowler, encode, gary-hon, j-michael-cherry, jay-shendure, jesse-engreitz, karen-mohlke, kushal-dey, lea-starita, luca-pinello, marc-vidal, mark-craven, nadav-ahituv, predrag-radivojac, richard-sherwood, thomas-quertermous, tim-reddy, tom-norman, zhiping-weng Available options:
CRISPR FACS screen, CRISPR FlowFISH screen, DNase-seq, DUAL-IPA, MPRA, Migration CRISPR screen, Multiome Perturb-seq, Parse Perturb-seq, Perturb-seq, Proliferation CRISPR screen, SGE, STARR-seq, TAP-seq, VAMP-seq, VAMP-seq (MultiSTEP), Variant painting via fluorescence, Variant-EFFECTS, electroporated MPRA, lentiMPRA, scCRISPR screen, snATAC-seq Available options:
ADASTRA, BlueSTARR, COXPRESdb, CRISPR screen, ClinGen, DUAL-IPA, DepMap, ENCODE-rE2G, ESM-1v, GVATdb, GWAS, GenCC, HOCOMOCO, Homology, MPRA, MutPred2, Orphanet, Perturb-seq, PharmGKB, SEMVAR, SEMpl, SGE, STARR-seq, TopLD, VAMP-seq, VAMP-seq (MultiSTEP), Variant painting via fluorescence, Variant-EFFECTS, cV2F, caQTL, candidate Cis-Regulatory Elements, eQTL, elements, pQTL, scATAC-seq, scE2G, snATAC-seq, spliceQTL Available options:
activation, base editing, interference, knockout, prime editing Available options:
2024_multistep, BCalm, BEDTools, BIRD, BlueSTARR, CRISPR BEAN, CRISPR-Millipede, CRISPR-SURF, CRISPResso2, Cell Profiler, Cooler, CountESS, DESeq2, DUAL-IPA analysis scripts, Distal regulation ENCODE-rE2G, DistalRegulationCRISPRdata, ESM-1v, FRACTEL, Irreproducible Discovery Rate, MPRAflow tsv-to-bed, MutPred2, NumPy, Pysam, R, SEMVAR, SEMpl, SGE Pipeline, Samtools, Sceptre, SciPy, Seaborn, Seurat, Snakemake, Straw, Variant-EFFECTS, bigWigAverageOverBed, cV2F, cyp2c19_2c9, matplotlib, mpralm, pandas, pySpade, pybedtools, scATAC-seq processing, scE2G, statsmodels Available options:
true, false Available options:
Community, ENCODE, IGVF Available options:
biological relationship, observed data, prediction Response
Successful response